Loading...
Searching...
No Matches
janus_streaming_rtp_relay_packet Struct Reference
Collaboration diagram for janus_streaming_rtp_relay_packet:
[legend]

## Data Fields

int | mindex
janus_rtp_header * | data
gint | length
gboolean | is_rtp
gboolean | is_data
gboolean | is_video
gboolean | is_kfburst
gboolean | simulcast
uint32_t | ssrc [3]
janus_videocodec | codec
int | substream
int | ptype
uint32_t | timestamp
uint16_t | seq_number
gboolean | svc
janus_vp9_svc_info | svc_info
gboolean | textdata

## Field Documentation

## codec

janus_videocodec janus_streaming_rtp_relay_packet::codec

## data

janus_rtp_header* janus_streaming_rtp_relay_packet::data

## is_data

gboolean janus_streaming_rtp_relay_packet::is_data

## is_kfburst

gboolean janus_streaming_rtp_relay_packet::is_kfburst

## is_rtp

gboolean janus_streaming_rtp_relay_packet::is_rtp

## is_video

gboolean janus_streaming_rtp_relay_packet::is_video

## length

gint janus_streaming_rtp_relay_packet::length

## mindex

int janus_streaming_rtp_relay_packet::mindex

## ptype

int janus_streaming_rtp_relay_packet::ptype

## seq_number

uint16_t janus_streaming_rtp_relay_packet::seq_number

## simulcast

gboolean janus_streaming_rtp_relay_packet::simulcast

## ssrc

uint32_t janus_streaming_rtp_relay_packet::ssrc[3]

## substream

int janus_streaming_rtp_relay_packet::substream

## svc

gboolean janus_streaming_rtp_relay_packet::svc

## svc_info

janus_vp9_svc_info janus_streaming_rtp_relay_packet::svc_info

## textdata

gboolean janus_streaming_rtp_relay_packet::textdata

## timestamp

uint32_t janus_streaming_rtp_relay_packet::timestamp

The documentation for this struct was generated from the following file:

- janus_streaming.c